%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This package contains software developed during 
%% LATEX projet 2008-2011
%% www.com.univ-mrs.fr/LOPB/LATEX
%% 
%% 24/09/2010, AD : "just arrived at harbour" release
%% 24/08/2012, AD: Submission of the paper to JTECH and first release of LATEXtools
%%                 merging the package for EGU2011 modified for editing of figure of the paper
%%                 and dir LATEX/LATEX10/LATEX_MATLAB_tools 
%% 03/09/2012, FN+AD: bathymetry data added
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LIST of SCRIPTS and FUNCTIONS
%
%% Lagrangian_Navigation
%
%%  map_ARGOS        Plots trajectories of ARGOS buoys
%    plot_ARGOS
%     load_ARGOS
%
%%  map_FSLE         Plots FSLE manifolds
%   plot_FSLE
%    load_FSLE
%
%%  map_ADCP         Plots ADCP vectors
%   plot_ADCP
%    load_ADCP
%
%%  map_SF6          Plots map of concentration
%   plot_SF6
%    load_SF6
%
%%  map_AVHRR        Plots map of SST
%   plot_AVHRR
%    load_AVHRR
%
%%  map_VESSEL       Plots Vessel positions
%    plot_VESSEL
%     load_VESSEL
%
%%  map_BATHY        Add high resolution isobath for NW Mediterranean
%    plot_BATHY
%     load_BATHY     data from BATHY_NWMED directory
%
%%  make_route       Draws a route and calculate time between stations
%
%%  make_clean_ADCP  Helps in positioning the cuts in ADCP data
%    clean_ADCP      Script for cutting ADCP data
%     regroup_ADCP   Script for matching data from different ADCP transects of a same cruise 
%
%%  Calcul_Release_SF6   Helps in calculation of a Lagrangian (spiral) route 
%    lecture_trame_fichier_bateau & lecture_trame_fichier_bateau_tethys
%    lecture_trame_fichier_bouee  & lecture_trame_fichier_bouee_thetys
%    calcule_spirale_v2 ; conversion_spirale ; calcul_consignes ; uv_2_cap
%    trace_carte ; Trace_Spirale ; Trace_Bateau ; TB & TB_tethys
%
%%  SamplingSpiral.m  Calculates the Lagrangian (spiral) tracer mapping
%    CenterOfEddy_finder
%    SpiralCalculator
%
%% Reconstitution sf6, etc Changes from geographical to Lagrangian
%% reference frame
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

