   %Andrea Doglioli
%Gilles Rougier
%
% Programme de Demo de Calcul SF6
%
% lecture des positions boue et bateau
% calcul de la nouvelle spirale
% tracs des drives boues et route bateau
%
clear all;
close all;
pause(0.1)
%
% initialisations
%
%- area limits -% (in degres)
% Entrer par des menus fenetre
lon_min =  3.45;
lon_max =  3.55;
lat_min = 42.65;
lat_max = 42.73;
m_proj('mercator','lon',[lon_min lon_max],'lat',[lat_min lat_max]);

% Parametres Spirales
% nombre_de_creneaux,pasx,pasy
% 3,500,500
Nb_De_Creneaux = 5;
Pas_En_X = 500; %en m
Pas_En_Y = 500;
Distance_De_Passage_Au_Point_Suivant = 150; %en mtres

%% Vitesse fixee 3 noeuds
vitesse_bateau = 3*1856/3600;  %%% convertie en m/sec 

%%% Pour la demo %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  Trace des conditions initiales
disp('----------------- Demo Release SF6 -------------')
disp(' -- mise  l eau de la bouee -- ')
[ tbouee,latitude_bouee,longitude_bouee ] = lecture_trame_fichier_bouee(1) ;
disp(' -- calcul et trace de la spirale -- ')
coord_spirale=calcule_spirale_v2(Nb_De_Creneaux,Pas_En_X,Pas_En_Y)/1000;
[xc,yc]   = m_ll2xy(longitude_bouee,latitude_bouee);
xx=coord_spirale(1,:);
yy=coord_spirale(2,:);
[lonspir,latspir] = conversion_spirale(xc,yc,lon_min,lat_min,xx,yy);
disp(' -- position du bateau -- ')
lecture_trame_fichier_bateau(0); %% ouverture fichier positions bateau
[ tbateau,Lat_Bateau,Lon_Bateau, vitesse_bateau_lu,cap_bateau_lu] = lecture_trame_fichier_bateau(1);

%% trace de la situation de depart a la mise a leau
fig_carte=figure(1);
set(gcf,'position',[375 41 904 687]);
hold on;
Trace_Carte;
Trace_Spirale(longitude_bouee,latitude_bouee,lonspir,latspir,'dep'); %% trace de mise a l eau
hold on;
m_plot(Lon_Bateau,Lat_Bateau,'h','markersize',10,...
        'MarkerFaceColor','g','MarkerEdgeColor','k');

%%%
%% Initialisations
%%%
i_spirale=1
ibouee_new = 1;
tbouee_new = tbouee;
ibateau_new=2;
tbateau_new=tbateau;
latitude_bateau_new =Lat_Bateau;
longitude_bateau_new=Lon_Bateau;
%pause;
close(fig_carte);
imemo = 1; % indice pour memoriser toutes les positions du bateau
im = 0;% memorise ou commence les dernieres positions du bateau
memo_lat_bateau = [];
memo_lon_bateau=[];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%Boucle sur les positions transmises par la bouee   
%% appel de la fonction de lecture de la trame bateau
for i_file_bouee = 1:32
    fig_carte=figure(1);
    set(gcf,'position',[375 41 904 687]);
    hold on;
    Trace_Carte;
    im=imemo;
    while tbateau_new < tbouee_new
        ibateau_new=ibateau_new+60;
        imemo=imemo+1;
        [ tbateau_new,latitude_bateau_new,longitude_bateau_new, vitesse_bateau_lu,cap_bateau_lu] ...
                = lecture_trame_fichier_bateau(ibateau_new);
        memo_lat_bateau(imemo)=latitude_bateau_new;
        memo_lon_bateau(imemo)=longitude_bateau_new;
%         m_plot(longitude_bateau_new,latitude_bateau_new,'h','markersize',10,...
%             'MarkerFaceColor','g','MarkerEdgeColor','k');
    end
%     if imemo > 1
%         %m_plot(memo_lon_bateau(1:im),memo_lat_bateau(1:im),'h','markersize',10,...
%         %     'MarkerFaceColor','c','MarkerEdgeColor','k');
%         for iplot=1:im
%            hold on;
%             m_plot(memo_lon_bateau(iplot),memo_lat_bateau(iplot),'h','markersize',10,...
%              'MarkerFaceColor','c','MarkerEdgeColor','k');
%          pause(0.1)
%         end%for    
%         m_plot(memo_lon_bateau(im:end),memo_lat_bateau(im:end),'h','markersize',10,...
%              'MarkerFaceColor','g','MarkerEdgeColor','k');    
%     end%if memo
    ibouee_new = ibouee_new + 1;
    [ tbouee_new,latitude_bouee_new,longitude_bouee_new ] = lecture_trame_fichier_bouee(ibouee_new) ;
    [ tbouee_old,latitude_bouee_old,longitude_bouee_old ] = lecture_trame_fichier_bouee(ibouee_new-1);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % TEST QUALITE DES DONNEES BOUEE
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    qualite=1;

    % Test vitesse de courant raliste

    rt=6371000;
    dy=rt*(latitude_bouee_new - latitude_bouee_old)*pi/180;
    dx=rt*cos(latitude_bouee_new*pi/180)*(longitude_bouee_new-longitude_bouee_old)*pi/180;
    utest=dx/(tbouee_new-tbouee_old);
    vtest=dy/(tbouee_new-tbouee_old);
    moduletest= sqrt(utest^2+vtest^2);

    if moduletest==0 
        qualite=0;
    end

    if moduletest>10  % (m/s), soit ~2 noeuds
        qualite=0;
    end

    if qualite==0
        latitude_bouee_new=latitude_bouee_old;
        longitude_bouee_new=longitude_bouee_old;
        tbouee_new=tbouee_old;
    end

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % CALCUL DES COORDONNEES CARTESIENNES DE LA BOUEE ET DU BATEAU
    % function [X Y]=lat_lon_2_XY(latitude,longitude,lat_origine,lon_origine)
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Bouee
    [xbouee_old ybouee_old] = m_ll2xy(longitude_bouee_old,latitude_bouee_old); %en km
    [xbouee_new ybouee_new] = m_ll2xy(longitude_bouee_new,latitude_bouee_new);
    % Bateau
    [xbateau_new ybateau_new] = m_ll2xy(longitude_bateau_new,latitude_bateau_new);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % CALCUL DES COMPOSANTES DE LA VITESSE DU COURANT
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % deduite de la derive de la bouee
    % deplacement/temps 
    [s,a12,a21] = m_idist(longitude_bouee_old,latitude_bouee_old,longitude_bouee_new,latitude_bouee_new);
    theta=(90-a12)*pi/180;
    [dx,dy]=pol2cart(theta,s);
    u_courant=dx/(tbouee_new-tbouee_old); %en m/s
    v_courant=dy/(tbouee_new-tbouee_old); %en m/s
    vitesse_courant=sqrt(u_courant^2+v_courant^2);
    direction_courant=a12;
    distance_bouee=s;
    disp(' ')
    disp(' Caracteristiques du Courant mesure ')
    disp(['  Module ',num2str(vitesse_courant),' ms ',' Direction ',num2str(direction_courant),' deg'])
    disp(['  Distance entre les deux positions de bouees ',num2str(distance_bouee),'m'])

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % CALCUL DES COORDONNEES DE CHACUN DES POINTS DE LA SPIRALE
    % function coord_spirale=calcule_spirale(nombre_de_creneaux,pasx,pasy,xbouee,ybouee) 
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % coord_spirale_old=calcule_spirale(Nb_De_Creneaux,Pas_En_X,Pas_En_Y,0,0)/1000;
    % coord_spirale_new=calcule_spirale(Nb_De_Creneaux,Pas_En_X,Pas_En_Y,0,0)/1000;%en km
    coord_spirale_old=calcule_spirale_v2(Nb_De_Creneaux,Pas_En_X,Pas_En_Y)/1000;
    coord_spirale_new=calcule_spirale_v2(Nb_De_Creneaux,Pas_En_X,Pas_En_Y)/1000;%en km
    [xc,yc]   = m_ll2xy(longitude_bouee_old,latitude_bouee_old);
    xx=coord_spirale_old(1,:);
    yy=coord_spirale_old(2,:);
    [lonspir_old,latspir_old] = conversion_spirale(xc,yc,lon_min,lat_min,xx,yy);
    [xc,yc]   = m_ll2xy(longitude_bouee_new,latitude_bouee_new);
    xx=coord_spirale_new(1,:);
    yy=coord_spirale_new(2,:);
    [lonspir_new,latspir_new] = conversion_spirale(xc,yc,lon_min,lat_min,xx,yy);

    %%%%%%%%%%%%
    % TRACES
    %%%%%%%%%%%%
    Trace_Spirale(longitude_bouee_old,latitude_bouee_old,lonspir_old,latspir_old,'old');
    Trace_Spirale(longitude_bouee_new,latitude_bouee_new,lonspir_new,latspir_new,'new');

     if imemo > 1
        m_plot(memo_lon_bateau(1:im),memo_lat_bateau(1:im),'h','markersize',10,...
             'MarkerFaceColor','c','MarkerEdgeColor','k');
%         m_plot(memo_lon_bateau(im:end),memo_lat_bateau(im:end),'h','markersize',10,...
%              'MarkerFaceColor','g','MarkerEdgeColor','k'); 
         [trash,iplotmax]=size(memo_lon_bateau(im:end));
         for iplot=1:iplotmax-1
            hold on;
               m_plot(memo_lon_bateau(im+iplot),memo_lat_bateau(im+iplot),'h','markersize',10,...
              'MarkerFaceColor','g','MarkerEdgeColor','k');    
          pause(0.1)
         end%for    
    end%if memo
   
    
    
    
    pause(0.001);
    clf%close(fig_carte);
end


disp('the end')