%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function [degree, minute, hemi] = decideg_to_degmin(deci_deg,lat_or_lon)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% convert a geographical coordinate 
%%% from decimal degrees to degrees minutes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [degree, minute, hemi] = decideg_to_degmin(deci_deg,lat_or_lon)

MIN_DEG = 60;
SEC_DEG = 3600;

% determine if input degrees are within bounds
absdeg = abs(deci_deg);

	degree = fix(absdeg);

	remdeg = absdeg - degree;
	minute = MIN_DEG*remdeg;

	%sec = (remdeg - minute/MIN_DEG) * SEC_DEG;

    if absdeg>90 & absdeg<=180 strcmp(deci_deg,'lat');
	disp('latitude magnitude between 90 and 180');
	degree=NaN; minute=NaN; sec=NaN; hemi=[];
elseif absdeg>180;
	disp('decimal degrees > 180');
	degree=NaN; minute=NaN; sec=NaN; hemi=[];

else	
	% determine hemisphere
	if strcmp(lat_or_lon, 'lat');
		if deci_deg < 0;
			hemi='S';
		else
			hemi='N';
        end
   disp(['lat : ',num2str(degree,'%2.0f'),'^',hemi,' ',num2str(minute,'%12.4f')]);
	elseif strcmp(lat_or_lon, 'lon');
		if deci_deg < 0 ;
			hemi='W';
		else
			hemi='E';
		end
	disp(['lon : ',num2str(degree,'%2.0f'),'^',hemi,' ',num2str(minute,'%12.4f')]);
    end

    end
    
    
return