function h=m_image(long,lat,varargin);
% M_IMAGE  Display image.
%    IMAGE(LONG,LAT,C) displays matrix C as an image in the location
%    (LONG,LAT) on the currently defined map projection. 
%
%    See also IMAGE, IMREAD, COLORBAR.

% obtained by super-simple changes on M_TEXT by
% Rich Pawlowicz (rich@ocgy.ubc.ca) 17/Jan/1998
%
% Andrea M. Doglioli (doglioli@fisica.unige.it) 31/Oct/2003
%
% This software is provided "as is" without warranty of any kind. But
% it's mine, so you can't sell it.

global MAP_PROJECTION

% Have to have initialized a map first

if isempty(MAP_PROJECTION),
  disp('No Map Projection initialized - call M_PROJ first!');
  return;
end;

[X,Y]=m_ll2xy(long,lat,'clip','off');
%h=text('position',[X(:) Y(:)],'tag','m_text','string',varargin{:});
% Fix to allow vectors of X/Y to work
h=image(X(:),Y(:),varargin{:});
if length(h)>0 & isempty(get(h(1),'tag')),
 set(h,'tag','m_image');
end;

if nargout==0,
 clear h
end;
