%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a the longitude and latitude
%%% with respect the number of measurement
%%%
%%% INPUT : LatexYYYY_DDMMaphi_new.mat file
%%%         clean_indices_DDMM.txt
%%%
%%% OUTPUT: plot_lonlat_Saved_DDMM.png
%%%
%%% ALGORITHM: Load longitude and latitude of the ADCP transect treated
%%%             by SAVED
%%%            Make first figure & plot the figure
%%%            Wait the input of the file with the position of the cut
%%%            Make second figure with the cut
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 22/09/2010 : marion.kersale@univmed.fr
%%% Huge Credits : Ziyuan
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help make_clean_ADCP.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;

%
%Load the ADCP data from all transects of the day
[fname,dirin]=uigetfile('..\ADCP\ADCP_Tethys\work\Latex2010_*aphi_new*.mat','Select the Mat file');
load([dirin,fname]);
lon=ensemble(:,14); % nE x 1
lat=ensemble(:,13);
%time=ensemble(:,11);
%TAG used to name the file with cut positions & figure
tag=fname(11:14);
tag_year=fname(6:9);

%
%Subplots of longitude and latitude versus number of measurements
figure(1);
 subplot(2,1,1);
  plot([1:1:nEnsembles],lon,'x-')
  grid on
  xlabel('Number of measurement')
  ylabel('Longitude')
 subplot(2,1,2);
  plot([1:1:nEnsembles],lat,'x-')
  grid on
  xlabel('Number of measurement')
  ylabel('Latitude')

%
%Switch to use or not an old indices file
qf=input('If you already have a file indicating the transects indices? [y/n] ','s');

%If no create a new file
i_cut=0;
if qf=='n'
    %Switch to keep adding new cuts
     a='y';
     while a~='s'
         i_cut=i_cut+1
         count(i_cut)=i_cut;
         %Begining indices of the cut
         beg_cut(i_cut)=input('At wich point do you want to BEGIN  the cut? ');
         [month,month_day,hour,minute,second]=yday_to_caltime(str2num(tag_year),ensemble(beg_cut(i_cut),11));
         disp(datestr([str2num(tag_year),month,month_day,hour,minute,second]))
         %Ending indices of the cut
         end_cut(i_cut)=input('At wich point do you want to FINISH the cut? ');
         [month,month_day,hour,minute,second]=yday_to_caltime(str2num(tag_year),ensemble(end_cut(i_cut),11));
         disp(datestr([str2num(tag_year),month,month_day,hour,minute,second]))  
         %
         %Adding the cut positions to the subplot of longitude & latitude
         subplot(2,1,1);hold on;
          plot(beg_cut,lon(beg_cut),'rx')
          plot(end_cut,lon(end_cut),'gx')
         subplot(2,1,2);hold on;
          plot(beg_cut,lat(beg_cut),'rx')
          plot(end_cut,lat(end_cut),'gx')
         
         %Choose to add a new cut, delete the last point or stop
         a=input('Do you want to Continue, Delete the last point, or Stop adding new cut? [c/d/s] ','s');
         
         %If continue save the indices file
         if a=='c'
            %Created to write on the indices file
            M=[count;beg_cut;end_cut]
            %Open & write on the indices file
            fid=fopen(['../ADCP/ADCP_Tethys/work/clean_indices_',tag,'.txt'],'w');
            fprintf(fid,'%.0f\t%.0f\t%.0f\n',M);
            fclose(fid);
         %If delete the last point  
         elseif a=='d'
                %Reduce the counter of one
                i_cut=i_cut-1
                %Replot the picture
                close all
                figure(1);
                subplot(2,1,1);
                 plot([1:1:nEnsembles],lon,'x-')
                 grid on
                 xlabel('Number of measurement')
                 ylabel('Longitude')
                 subplot(2,1,2);
                plot([1:1:nEnsembles],lat,'x-')
                 grid on
                 xlabel('Number of measurement')
                 ylabel('Latitude')
                 %Load the indices file 
                 if i_cut~=0
                [indicename,indicedirin]=uigetfile('../ADCP/ADCP_Tethys/work/clean_indices_*.txt','Select the transect');
                info_transect=load([indicedirin,indicename]);
                ntransect=info_transect(:,1);   %Cut number
                n1=info_transect(:,2);          %Begining of the cut
                n2=info_transect(:,3);          %End of the cut
                %Adding the cut positions to the subplot of longitude
                subplot(2,1,1);hold on;
                 plot(n1,lon(n1),'rx')
                 plot(n1,min(lon):max(lon),'r-')
                 plot(n2,lon(n2),'gx')
                subplot(2,1,2);hold on;
                 plot(n1,lat(n1),'rx')
                 plot(n2,lat(n2),'gx')
                 end %end if
         end %end if  
     end %end while
    
%Created to write on the indices file
M=[count;beg_cut;end_cut]
%Open & write on the indices file
fid=fopen(['../ADCP/ADCP_Tethys/work/clean_indices_',tag,'.txt'],'w');
fprintf(fid,'%.0f\t%.0f\t%.0f\n',M);
fclose(fid);
end %end if


%
%Change the switch to use the indices file
qf='y';       
 if qf=='y'
     %Load the indices file 
    [indicename,indicedirin]=uigetfile('../ADCP/ADCP_Tethys/work/clean_indices_*.txt','Select the transect');
    info_transect=load([indicedirin,indicename]);
    ntransect=info_transect(:,1);   %Cut number
    n1=info_transect(:,2);          %Begining of the cut
    n2=info_transect(:,3);          %End of the cut

%
%Adding the cut positions to the subplot of longitude
    subplot(2,1,1);hold on;
     plot(n1,lon(n1),'rx')
     plot(n1,min(lon):max(lon),'r-')
     plot(n2,lon(n2),'gx')
     %Add the cut number
     for i=1:length(ntransect)
         text(n1(i),lon(n1(i)),[num2str(ntransect(i))],...
            'Fontsize',8,'fontweight','bold','VerticalAlignment','Baseline')
     end %end for
%Adding the cut positions to the subplot of latitude
    subplot(2,1,2);hold on;
     plot(n1,lat(n1),'rx')
     plot(n2,lat(n2),'gx')
     
     %Add the cut number
     for i=1:length(ntransect)
        text(n1(i),lat(n1(i)),[num2str(ntransect(i))],...
            'Fontsize',8,'fontweight','bold','VerticalAlignment','Baseline')
     end %end for
   
end %end if

%
%Add title and grid
figure(1)
 title(['Clean for ',fname(1:9),'-',fname(11:18),'-',fname(20:end)]);
 subplot(2,1,1);
  grid on;
 subplot(2,1,2);
  grid on;

%
%- Figure Printing -%
print('-f1',['../ADCP/ADCP_Tethys/work/make_clean_ADCP_test_',tag],'-dpng','-r150')
%
disp(' ');
disp('----- END ---')
