%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with colored
%%% circles of SF6 concentration
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure dots of SF6 concentration
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot concentration circles and correpsonding colorbar
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 17/09/2010 : andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help map_SF6
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear; close all;

%- area limits -% (in degres)
lon_min = 3;%min(lonSF6)-0.1;
lon_max = 4;
lat_min = 41.5;
lat_max = 43;
%
%- Geographip projection for m_map -%
projection = 'mercator';
%%% FIGURE
figure(1);hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);
m_grid('box','fancy','tickdir','in');
m_usercoast('./GOL.mat','patch',[0.6 0.6 0.6]); 


dirin='../SF6/';
mapping_id='4';
plottype=1;

plot_SF6(dirin,mapping_id,plottype);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%- Figure title -%
title(['LATEX 2010 map-SF6'])
%
%- NW Mediterranean High Resolution Isobaths -%
plot_BATHY('../BATHYMETRY_NWMED/',[200 500]);
%
%- User's High Resolution Coastline -%
UserCoast='./GOL.mat';
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%- Geographical Axis -%
m_grid('box','fancy','tickdir','in');
xlabel('Longtitude');
ylabel('Latitude');
%
%- Figure Printing -%
print(1,['./figures/map_SF6_mapping',mapping_id,'_',num2str(plottype),'.png'],'-dpng','-r200');
%
disp(' ');
disp('----- END ---')
