% AVHRR_png.m
% Trace les images AVHRR du catalogue:
% \\Pcrougier\GOLTS\Osis\CMS_GOLTS\png_gray
% Permet de choisir l'image  tracer.
% Fabrique une palette de couleur centre sur zmin, zmax :
%   -zmin : valeur min des pixels de l'image # 0.
%   -zmax : valeur max des pixels de l'image # 255.
% Si cette palette ne convient pas, possibilit de rajuster zmin et zmax /
% aux pixels ayant la plus forte occurence : mthode histogramme.
% Permet de superposer un ou plusieurs transects ADCP  un bin choisi.
% NB: la vraie palette (avec nuages en blanc et terre en gris) n'est pas
% affiche en entier (cf pg AVHRR_test.m).

% Figure 1 image avec contour de couleur automatique
% Figure 2 histogramme de choix des Tmin, Tmax
% Figure 3 nouvelle image avec ou sans recalcul de la barre de couleur

% AP - adaptation pour etudiants ayant telecharge eux-memes les images
% a partir de osis

%LATEX 2010  pgm utilise dans LATEX/Avhrr/AVHRR_matlab
%images AVHRR dans LATEX/Avhrr
%fichiers BOUEES dans LATEX/Bouee
% cd a changer si arborescence differente

clear all;
ici=pwd;
% dsarchivage de l'image satellite slectionne
% if isunix
%     addpath '/homes/grougier/golts/matlab';
%     path_png='/export/home/GOLTS/Osis/CMS_GOLTS/png_gray';
%     [f_png,p_png]=uigetfile([path_png,'/*.png']);
% else
%     %path_png='\\Pcrougier\GOLTS\Osis\CMS_GOLTS\png_gray';
%     path_png='g:\golts\AVHRR\png_gray';
%cd ..       % Attention a changer si differente arborescence
    [f_png,p_png]=uigetfile(['*.png']);
% end

%(rappel: user_entry =  chemin du rpertoire
%             d = dir(*.extension) (contient donc les noms des fichiers)
%             suivi du rpertoire o effectuer la dcompression (sans 
%oublier de laisser un espace))

% extraction de la date de l image
[p_raw,f_raw,ext]=fileparts([p_png,f_png]);
[pxx,name,ext,version]=fileparts(f_raw);
titre_image=name;
tan=titre_image(33:36);
tmois=titre_image(37:38);
tjour=titre_image(39:40); 
theure=titre_image(41:42);
tminute=titre_image(43:44);
% tan=titre_image(1:4);
% tmois=titre_image(5:6);
% tjour=titre_image(7:8); 
% theure=titre_image(9:10);
% tminute=titre_image(11:12);

%lecture pour le canal 4
imc4=imread([p_png,f_png]);
imc4=double(imc4);

% IMAGE figure 1
figure(1);
hold on;
axis([4.8 6.1 42.2 43.45]);
%asp=[0.3 0.3 1];
asp=[1 cos(43*pi/180) 1];
set(gca,'DataAspectRatioMode','manual','DataAspectRatio',asp);

%positionnement de l'image en lat,lon
xim=2.49+[1:500]*0.01;
yim=41.+[260:-1:1]*0.01;
him=image(xim,yim,imc4);
[xc,yc]=meshgrid(xim,yim);
[C,h]=contour(xc,yc,imc4,[50 50],'k'); % 85~13.5
% choisir la couleur de l'isocontour
set(h,'color',[0.1 0.1 0.6]);

% colormap centre sur les min et max pour les images infra rouge
ind=find(imc4~=0 & imc4~=255);
zmax=max(imc4(ind));
zmin=min(imc4(ind));
jet_ir=colormap(jet(zmax-zmin+1));
%construction de la barre de couleur
map_fin(1,:)=[1 1 1]; % blanc pour les nuages
for i=2:zmin
    map_fin(i,:)=jet_ir(1,:);
end
map_fin(zmin+1:zmax+1,:)=jet_ir;
for i=zmax+2:254
    map_fin(i,:)=jet_ir(end,:);
end
map_fin(255,:)=[0.5 0.5 0.5]; % gris pour la terre
c=colormap(map_fin);
co=colorbar;
% pour avoir une lgende de barre de couleur en temprature (et non pas en count) strictement monotone
set(co,'ylim',[zmin,zmax],'ytick',[zmin:10:zmax],'yticklabel',[(zmin/10+5):1:(zmax/10+5)])  

set(gca,'ydir','normal','ylim',[41.5 43.6],'ytick',[41.5:0.5:43.5],'yticklabel',[41.5:0.5:43.5],...
    'xlim',[3 7])
set(gca,'layer','top','fontsize',12)
%title(['image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),''])
%titre mis plus loin pour avoir info bouees
%----fin figure 1------

choixg=menu('voulez-vous modifier la colorbar ?','oui','non');
if choixg==1
    choix=menu('Que voulez-vous faire ?','ajuster avec l''histogramme ','fixer les limites');
    
    % HISTOGRAMME figure 2
    if choix==1
        figure(2)
        range=255;
        [m,n]=size(imc4);
        [cnts,bins]=histc(reshape(imc4,[1 m*n]),[0:range-1]);
        bar([1:range],cnts,'histo');  
        set(gca,'xlim',[0 255],'xtick',[0 50 100 120 150 200 255])
        title('Histogramme');
        
        % Pointage d'un minimum et d'un maximum
        disp(' Pointez le minimum')
        [zmin,rien]=ginput(1);
        zmin=ceil(zmin);
        disp(' Pointez le maximum')
        [zmax,rien]=ginput(1);
        zmax=ceil(zmax);
        close(2)
    else % fixe les limites par commande au clavier
        Tmin=input('Quelle Tmin>=5 ? valeur entiere : ');
        Tmax=input('Quelle Tmax ? valeur entiere :');
        
%AJOUT du ROUND on 28/08/08 car hic sur k (colorbar monotone)
% les limitres rentres sont des temperatures  transformer en count
        zmin=round((Tmin-5)*10);
        zmax=round((Tmax-5)*10);
    end
end    
    display([zmin zmax])
        
    % RETRACE DE L'IMAGE figure 3
    figure(3)
    hold on
    axis([3 7 41.5 43.6]);
    %axis([4.8 6.1 42.2 43.45]);
    %asp=[0.3 0.3 1];
    asp=[1 cos(43*pi/180) 1];
    set(gca,'DataAspectRatioMode','manual','DataAspectRatio',asp);
    
    xim=2.49+[1:500]*0.01;
    yim=41.+[260:-1:1]*0.01;
    him=image(xim,yim,imc4);
    [xc,yc]=meshgrid(xim,yim);
    %[C,h]=contour(xc,yc,imc4,[80 80],'k'); % 85~13.5
    %% choisir la couleur de l'isocontour
    %set(h,'color',[0.1 0.1 0.6])
    
    % colormap pour les images infra rouge
    jet_ir=colormap(jet(zmax-zmin+1));
    %construction de la barre de couleur
    clear map_fin
    map_fin(1,:)=[1 1 1];
    for i=2:zmin
        map_fin(i,:)=jet_ir(1,:);
    end
    map_fin(zmin+1:zmax+1,:)=jet_ir;
    for i=zmax+2:254
        map_fin(i,:)=jet_ir(end,:);
    end
    map_fin(255,:)=[0.5 0.5 0.5];
    c=colormap(map_fin);
    
    co=colorbar;
    %% Position de la colorbar
    Pc=get(co,'Position');  
    
% calcul des temperatures
    Tmin=zmin/10+5;
    Tmax=zmax/10+5;
    
    % pour avoir une lgende de barre de couleur strictement monotone
    set(co,'ylim',[zmin,zmax],'ytick',[zmin:10:zmax],'yticklabel',[Tmin:1:Tmax])

    box on
    set(gca,'ydir','normal','ylim',[41.5 43.6],'ytick',[41.5:0.5:43.5],'yticklabel',[41.5:0.5:43.5],...
        'xlim',[3 7])
    set(gca,'layer','top','fontsize',12)
    title(['image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),''])
%end   

close(1); %fermeture de l'image non contrastee
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-----------Traitement bouees derivantes
% Traitement des bouees derivantes Argos
% Argos / numero des bouees ,profondeur de drogue  et couleur associee

% Attention a changer si differente arborescence
[file_bouee,path_bouee]=uigetfile('../Bouee/*.tmp',' Fichier des Positions ');
pos_bouee=load([path_bouee,file_bouee]);

titre_bouee=file_bouee;
tmois_b=titre_bouee(11:12);
tjour_b=titre_bouee(13:14); 
theure_b=titre_bouee(16:17);
%tminute_b=titre_bouee(18:19);
%eval(['text(5.2,43.5,','image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),'')])
%text(5.2,43.5,('image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute)'))
title(['AVHRR ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),'- BOUEES ',num2str(tjour_b),'/',num2str(tmois_b),'  ',num2str(theure_b),'h',''])

%A CHANGER qd AJOUT de bouees
%nb_de_bouee, ... de-commenter ce qui a ete prepare
%mettre le numero ds l'ordre de lancement des boues
nb_de_bouee=4;
no_bouee_1=48943;       % 1ere dans CN
no_bouee_2=48944;       % 2eme dans CN (pres de la premiere)
no_bouee_3=48945;       % 3eme dans CN
no_bouee_4=48946;       % 4eme dans CN (pres de la deuxieme)
% no_bouee_=47833;
% no_bouee_=47834;
% no_bouee_=47835;
% no_bouee_=48863;
% no_bouee_=48893;
% no_bouee_=48903;
% no_bouee_=48920;
% no_bouee_=48939;
% no_bouee_=48940;
% no_bouee_=48942;
% no_bouee_=83631;
% no_bouee_=93263;
% no_bouee_=93264;
% no_bouee_=93265;
% no_bouee_=300034012011820;    % Bouee Iridium
% no_bouee_=300034012017340;    % Bouee Iridium de rechange

bouee_1=find(pos_bouee==no_bouee_1);
bouee_2=find(pos_bouee==no_bouee_2);
bouee_3=find(pos_bouee==no_bouee_3);
bouee_4=find(pos_bouee==no_bouee_4);

% bouee_5=find(pos_bouee==no_bouee_5);
% bouee_6=find(pos_bouee==no_bouee_6);
% bouee_7=find(pos_bouee==no_bouee_7);
% bouee_8=find(pos_bouee==no_bouee_8);
% bouee_9=find(pos_bouee==no_bouee_9);
% bouee_10=find(pos_bouee==no_bouee_10);
% bouee_11=find(pos_bouee==no_bouee_11);
% bouee_12=find(pos_bouee==no_bouee_12);
% bouee_13=find(pos_bouee==no_bouee_13);
% bouee_14=find(pos_bouee==no_bouee_14);
% bouee_15=find(pos_bouee==no_bouee_15);
% bouee_16=find(pos_bouee==no_bouee_16);
% bouee_17=find(pos_bouee==no_bouee_17);
% bouee_18=find(pos_bouee==no_bouee_18);
% bouee_19=find(pos_bouee==no_bouee_19);
% bouee_20=find(pos_bouee==no_bouee_20);

%mise a l'eau
set(gca,'linewidth',2);

% %indice de debut
% ndb=input(' indice de debut du trace ','s');
% idb=str2num(ndb);
idb=1;

% trace des trajectoires de chaque bouee
nb1=length(bouee_1);
plot(pos_bouee(bouee_1(1),9),pos_bouee(bouee_1(1),8),'om','markersize',14);
for ib=idb:nb1
    ipart=ib*(1/nb1);
    ic=[ipart 0 0];
    plot(pos_bouee(bouee_1(ib),9),pos_bouee(bouee_1(ib),8),'om','markersize',10,'linewidth',2);
 %   text(pos_bouee(bouee_1(ib),3),pos_bouee(bouee_1(ib),2),num2str(ib),'fontsize',14);
end
plot(pos_bouee(bouee_1(nb1),9),pos_bouee(bouee_1(nb1),8),'*m','markersize',35);

nb2=length(bouee_2);
plot(pos_bouee(bouee_2(1),9),pos_bouee(bouee_2(1),8),'or','markersize',14);
for ib=idb:nb2
    ipart=ib*(1/nb2);
    ic=[ipart ipart ipart];
    plot(pos_bouee(bouee_2(ib),9),pos_bouee(bouee_2(ib),8),'or','markersize',10,'linewidth',2);
  %  text(pos_bouee(bouee_2(ib),3),pos_bouee(bouee_2(ib),2),num2str(ib),'fontsize',14);
end
plot(pos_bouee(bouee_2(nb2),9),pos_bouee(bouee_2(nb2),8),'*r','markersize',35);

nb3=length(bouee_3);
plot(pos_bouee(bouee_3(1),9),pos_bouee(bouee_3(1),8),'og','markersize',14);
for ib=idb:nb3
    ipart=ib*(1/nb3);
    ic=[0 ipart 0];
    plot(pos_bouee(bouee_3(ib),9),pos_bouee(bouee_3(ib),8),'og','markersize',10,'linewidth',2);
   % text(pos_bouee(bouee_3(ib),3),pos_bouee(bouee_3(ib),2),num2str(ib),'fontsize',14);
end
plot(pos_bouee(bouee_3(nb3),9),pos_bouee(bouee_3(nb3),8),'*g','markersize',35);

nb4=length(bouee_4);
plot(pos_bouee(bouee_4(1),9),pos_bouee(bouee_4(1),8),'oc','markersize',14);
for ib=idb:nb4
    ipart=ib*(1/nb4);
    ic=[0 ipart 0];
    plot(pos_bouee(bouee_4(ib),9),pos_bouee(bouee_4(ib),8),'oc','markersize',10,'linewidth',2);
   % text(pos_bouee(bouee_3(ib),3),pos_bouee(bouee_3(ib),2),num2str(ib),'fontsize',14);
end
plot(pos_bouee(bouee_4(nb4),9),pos_bouee(bouee_4(nb4),8),'*c','markersize',35);

%%%%%%%%%%%%%%%%%
% nb5=length(bouee_5);
% plot(pos_bouee(bouee_5(1),9),pos_bouee(bouee_5(1),8),'om','markersize',14);
% for ib=idb:nb5
%     ipart=ib*(1/nb5);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_5(ib),9),pos_bouee(bouee_5(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_5(nb5),9),pos_bouee(bouee_5(nb5),8),'*m','markersize',35);
% 
% nb6=length(bouee_6);
% plot(pos_bouee(bouee_6(1),9),pos_bouee(bouee_6(1),8),'or','markersize',14);
% for ib=idb:nb6
%     ipart=ib*(1/nb6);
%     ic=[ipart ipart ipart];
%     plot(pos_bouee(bouee_6(ib),9),pos_bouee(bouee_6(ib),8),'or','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_6(nb6),9),pos_bouee(bouee_6(nb6),8),'*r','markersize',35);
% 
% nb7=length(bouee_7);
% plot(pos_bouee(bouee_7(1),9),pos_bouee(bouee_7(1),8),'og','markersize',14);
% for ib=idb:nb7
%     ipart=ib*(1/nb7);
%     ic=[0 ipart 0];
%     plot(pos_bouee(bouee_7(ib),9),pos_bouee(bouee_7(ib),8),'og','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_7(nb7),9),pos_bouee(bouee_7(nb7),8),'*g','markersize',35);
% 
% nb8=length(bouee_8);
% plot(pos_bouee(bouee_8(1),9),pos_bouee(bouee_8(1),8),'oc','markersize',14);
% for ib=idb:nb8
%     ipart=ib*(1/nb8);
%     ic=[0 ipart 0];
%     plot(pos_bouee(bouee_8(ib),9),pos_bouee(bouee_8(ib),8),'oc','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_8(nb8),9),pos_bouee(bouee_8(nb8),8),'*c','markersize',35);
% 
% nb9=length(bouee_9);
% plot(pos_bouee(bouee_9(1),9),pos_bouee(bouee_9(1),8),'om','markersize',14);
% for ib=idb:nb9
%     ipart=ib*(1/nb9);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_9(ib),9),pos_bouee(bouee_9(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_9(nb9),9),pos_bouee(bouee_9(nb9),8),'*m','markersize',35);
% 
% nb10=length(bouee_10);
% plot(pos_bouee(bouee_10(1),9),pos_bouee(bouee_10(1),8),'or','markersize',14);
% for ib=idb:nb10
%     ipart=ib*(1/nb10);
%     ic=[ipart ipart ipart];
%     plot(pos_bouee(bouee_10(ib),9),pos_bouee(bouee_10(ib),8),'or','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_10(nb2),9),pos_bouee(bouee_10(nb2),8),'*r','markersize',35);
% 
% nb11=length(bouee_11);
% plot(pos_bouee(bouee_11(1),9),pos_bouee(bouee_11(1),8),'og','markersize',14);
% for ib=idb:nb11
%     ipart=ib*(1/nb11);
%     ic=[0 ipart 0];
%     plot(pos_bouee(bouee_11(ib),9),pos_bouee(bouee_11(ib),8),'og','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_11(nb11),9),pos_bouee(bouee_11(nb11),8),'*g','markersize',35);
% 
% nb4=length(bouee_12);
% plot(pos_bouee(bouee_12(1),9),pos_bouee(bouee_12(1),8),'oc','markersize',14);
% for ib=idb:nb12
%     ipart=ib*(1/nb12);
%     ic=[0 ipart 0];
%     plot(pos_bouee(bouee_12(ib),9),pos_bouee(bouee_12(ib),8),'oc','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_12(nb12),9),pos_bouee(bouee_12(nb12),8),'*c','markersize',35);
% 
% nb13=length(bouee_13);
% plot(pos_bouee(bouee_13(1),9),pos_bouee(bouee_13(1),8),'om','markersize',14);
% for ib=idb:nb13
%     ipart=ib*(1/nb13);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_13(ib),9),pos_bouee(bouee_13(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_13(nb13),9),pos_bouee(bouee_13(nb13),8),'*m','markersize',35);
% 
% nb14=length(bouee_14);
% plot(pos_bouee(bouee_14(1),9),pos_bouee(bouee_14(1),8),'om','markersize',14);
% for ib=idb:nb14
%     ipart=ib*(1/nb14);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_14(ib),9),pos_bouee(bouee_14(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_14(nb14),9),pos_bouee(bouee_14(nb14),8),'*m','markersize',35);
% 
% nb15=length(bouee_15);
% plot(pos_bouee(bouee_15(1),9),pos_bouee(bouee_15(1),8),'om','markersize',14);
% for ib=idb:nb15
%     ipart=ib*(1/nb15);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_15(ib),9),pos_bouee(bouee_15(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_15(nb15),9),pos_bouee(bouee_15(nb15),8),'*m','markersize',35);

% nb16=length(bouee_16);
% plot(pos_bouee(bouee_16(1),9),pos_bouee(bouee_16(1),8),'om','markersize',14);
% for ib=idb:nb16
%     ipart=ib*(1/nb16);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_16(ib),9),pos_bouee(bouee_16(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_16(nb16),9),pos_bouee(bouee_16(nb16),8),'*m','marker
% size',35);

% nb17=length(bouee_17);
% plot(pos_bouee(bouee_17(1),9),pos_bouee(bouee_17(1),8),'om','markersize',14);
% for ib=idb:nb17
%     ipart=ib*(1/nb17);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_17(ib),9),pos_bouee(bouee_17(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_17(nb17),9),pos_bouee(bouee_17(nb17),8),'*m','marker
% size',35);

% nb18=length(bouee_18);
% plot(pos_bouee(bouee_18(1),9),pos_bouee(bouee_18(1),8),'om','markersize',14);
% for ib=idb:nb18
%     ipart=ib*(1/nb18);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_18(ib),9),pos_bouee(bouee_18(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_18(nb18),9),pos_bouee(bouee_18(nb18),8),'*m','marker
% size',35);

% nb19=length(bouee_19);
% plot(pos_bouee(bouee_19(1),9),pos_bouee(bouee_19(1),8),'om','markersize',14);
% for ib=idb:nb19
%     ipart=ib*(1/nb19);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_19(ib),9),pos_bouee(bouee_19(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_19(nb19),9),pos_bouee(bouee_19(nb19),8),'*m','marker
% size',35);

% nb20=length(bouee_20);
% plot(pos_bouee(bouee_20(1),9),pos_bouee(bouee_20(1),8),'om','markersize',14);
% for ib=idb:nb20
%     ipart=ib*(1/nb20);
%     ic=[ipart 0 0];
%     plot(pos_bouee(bouee_20(ib),9),pos_bouee(bouee_20(ib),8),'om','markersize',10,'linewidth',2);
% end
% plot(pos_bouee(bouee_20(nb20),9),pos_bouee(bouee_20(nb20),8),'*m','marker
% size',35);

%%%%%%%%%%%%%%%%%%%%
%relier les positions par un trait
plot(pos_bouee(bouee_1,9),pos_bouee(bouee_1,8),'y','linewidth',2);
plot(pos_bouee(bouee_2,9),pos_bouee(bouee_2,8),'y','linewidth',2);
plot(pos_bouee(bouee_3,9),pos_bouee(bouee_3,8),'y','linewidth',2);
plot(pos_bouee(bouee_4,9),pos_bouee(bouee_4,8),'y','linewidth',2);
% plot(pos_bouee(bouee_5,9),pos_bouee(bouee_5,8),'y','linewidth',2);
% plot(pos_bouee(bouee_6,9),pos_bouee(bouee_6,8),'y','linewidth',2);
% plot(pos_bouee(bouee_7,9),pos_bouee(bouee_7,8),'y','linewidth',2);
% plot(pos_bouee(bouee_8,9),pos_bouee(bouee_8,8),'y','linewidth',2);
% plot(pos_bouee(bouee_9,9),pos_bouee(bouee_9,8),'y','linewidth',2);
% plot(pos_bouee(bouee_10,9),pos_bouee(bouee_10,8),'y','linewidth',2);
% plot(pos_bouee(bouee_11,9),pos_bouee(bouee_11,8),'y','linewidth',2);
% plot(pos_bouee(bouee_12,9),pos_bouee(bouee_12,8),'y','linewidth',2);
% plot(pos_bouee(bouee_13,9),pos_bouee(bouee_13,8),'y','linewidth',2);
% plot(pos_bouee(bouee_14,9),pos_bouee(bouee_14,8),'y','linewidth',2);
% plot(pos_bouee(bouee_15,9),pos_bouee(bouee_15,8),'y','linewidth',2);
% plot(pos_bouee(bouee_15,9),pos_bouee(bouee_15,8),'y','linewidth',2);
% plot(pos_bouee(bouee_16,9),pos_bouee(bouee_16,8),'y','linewidth',2);
% plot(pos_bouee(bouee_17,9),pos_bouee(bouee_17,8),'y','linewidth',2);
% plot(pos_bouee(bouee_18,9),pos_bouee(bouee_18,8),'y','linewidth',2);
% plot(pos_bouee(bouee_19,9),pos_bouee(bouee_19,8),'y','linewidth',2);
% plot(pos_bouee(bouee_20,9),pos_bouee(bouee_20,8),'y','linewidth',2);

%Legende
plot(3.55,43.50,'om','markersize',14,'linewidth',2);text(3.1,43.50,num2str(no_bouee_1));
plot(3.55,43.40,'or','markersize',14,'linewidth',2);text(3.1,43.40,num2str(no_bouee_2));
plot(3.55,43.30,'og','markersize',14,'linewidth',2);text(3.1,43.30,num2str(no_bouee_3));
plot(3.55,43.20,'oc','markersize',14,'linewidth',2);text(3.1,43.20,num2str(no_bouee_4));
% plot(3.55,43.10,'oy','markersize',14,'linewidth',2);text(3.1,43.10,num2str(no_bouee_5));
% plot(4.55,43.50,'om','markersize',14,'linewidth',2);text(4.1,43.50,num2str(no_bouee_6));
% plot(4.55,43.40,'or','markersize',14,'linewidth',2);text(4.1,43.40,num2str(no_bouee_7));
% plot(4.55,43.30,'og','markersize',14,'linewidth',2);text(4.1,43.30,num2str(no_bouee_8));
% plot(4.55,43.20,'oc','markersize',14,'linewidth',2);text(4.1,43.20,num2str(no_bouee_9));
% plot(4.55,43.10,'oy','markersize',14,'linewidth',2);text(4.1,43.10,num2str(no_bouee_10));
% plot(5.55,43.50,'om','markersize',14,'linewidth',2);text(5.1,43.50,num2str(no_bouee_11));
% plot(5.55,43.40,'or','markersize',14,'linewidth',2);text(5.1,43.40,num2str(no_bouee_12));
% plot(5.55,43.30,'og','markersize',14,'linewidth',2);text(5.1,43.30,num2str(no_bouee_13));
% plot(5.55,43.20,'oc','markersize',14,'linewidth',2);text(5.1,43.20,num2str(no_bouee_14));
% plot(5.55,43.10,'oy','markersize',14,'linewidth',2);text(5.1,43.10,num2str(no_bouee_15));
% plot(6.55,43.50,'om','markersize',14,'linewidth',2);text(6.1,43.50,num2str(no_bouee_16));
% plot(6.55,43.40,'or','markersize',14,'linewidth',2);text(6.1,43.40,num2str(no_bouee_17));
% plot(6.55,43.30,'og','markersize',14,'linewidth',2);text(6.1,43.30,num2str(no_bouee_18));
% plot(6.55,43.20,'or','markersize',14,'linewidth',2);text(6.1,43.20,num2str(no_bouee_19));
% plot(6.55,43.10,'og','markersize',14,'linewidth',2);text(6.1,43.10,num2str(no_bouee_20));

% FIN TRAITEMENT BOUEE DERIVANTE

% ajout du point SOFI
%Sofi=[5.13 43.07];
%plot(Sofi(1,1),Sofi(1,2),'xr');

% % AJOUT DE LA BATHYMETRIE
%     %isobathes  partir de la bathymtrie raliste
cd (ici);
    load line100.txt;
    load line200.txt;
    load line500.txt;
    load line1000.txt;
    load line1500.txt;
    load line2000.txt;
    load line2500.txt;
    
    h1=plot(line100(:,2),line100(:,1),'k');
    set(h1,'color',[0.6 0.6 0.6]);
    h2=plot(line200(:,2),line200(:,1),'k');
    %set(h2,'color',[0.2 0.2 0.2],'linewidth',2)
    set(h2,'color',[0.2 0.2 0.2]);
    h3=plot(line500(:,2),line500(:,1),'k');
    set(h3,'color',[0.6 0.6 0.6]);
    h4=plot(line1000(:,2),line1000(:,1),'k');
    set(h4,'color',[0.6 0.6 0.6]);
    h5=plot(line1500(:,2),line1500(:,1),'k');
    set(h5,'color',[0.6 0.6 0.6]);
    h6=plot(line2000(:,2),line2000(:,1),'k');
    set(h6,'color',[0.6 0.6 0.6]);

xlabel('Longitude','fontsize',12);
ylabel('Latitude','fontsize',12);
cd (ici);

