%
% Outil pour calculer la fenetre de controle
% de la spirale lors du largage du SF6
%
% en sortie
% lon_min lon_max lat_min lat_max
% a entrer dans Calcul_Release_SF6

clear all;
close all;

% Parametres Spirales
% nombre_de_creneaux,pasx,pasy
% 3,500,500
Nb_De_Creneaux = 4;
Pas_En_X = 500; %en m
Pas_En_Y = 500;
Distance_De_Passage_Au_Point_Suivant = 150; %en mtres


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%projetion tres large d'initialisation
lon_min =  2.;
lon_max =  6.;
lat_min = 40.;
lat_max = 45.;
m_proj('mercator','lon',[lon_min lon_max],'lat',[lat_min lat_max]);

% figure(1)
% m_coast
% m_grid

% appel de la fonction de lecture de la trame bouee
% ordre = 0 derniere position
[ tbouee ,latitude_bouee ,longitude_bouee  ] = lecture_trame_fichier_bouee(0) ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CALCUL DES COORDONNEES CARTESIENNES DE LA BOUEE ET DU BATEAU
% function [X Y]=lat_lon_2_XY(latitude,longitude,lat_origine,lon_origine)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bouee
[xbouee  ybouee ] = m_ll2xy(longitude_bouee ,latitude_bouee ); %en km



% Parametres Spirales
% nombre_de_creneaux,pasx,pasy
% 3,500,500
Nb_De_Creneaux = 5;
Pas_En_X = 500; %en m
Pas_En_Y = 500;
Distance_De_Passage_Au_Point_Suivant = 150; %en mtres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CALCUL DES COORDONNEES DE CHACUN DES POINTS DE LA SPIRALE
% function coord_spirale=calcule_spirale(nombre_de_creneaux,pasx,pasy,xbouee,ybouee) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calcul d'une spirale elargie d'un tour pour dimensionner
% la fenetre de controle
Creneaux=Nb_De_Creneaux + 0;
coord_spirale =calcule_spirale_v2(Creneaux,Pas_En_X,Pas_En_Y)/1000;

[xc,yc]   = m_ll2xy(longitude_bouee ,latitude_bouee );
xx=coord_spirale (1,:);
yy=coord_spirale (2,:);
[lonspir ,latspir ] = conversion_spirale(xc,yc,lon_min,lat_min,xx,yy);

lon_min = min(lonspir)-(max(lonspir)-min(lonspir))/6;
lon_max = max(lonspir)+(max(lonspir)-min(lonspir))/6;
lat_min = min(latspir)-(max(latspir)-min(latspir))/6;
lat_max = max(latspir)+(max(latspir)-min(latspir))/6;

% figure(2)
% m_proj('mercator','lon',[lon_min lon_max],'lat',[lat_min lat_max]);
% m_usercoast('GOL')
% m_grid

disp(' ')
disp(' ')
disp('---------------------------------')
disp('-- nouvelles coord pour m_proj --')
disp(num2str([round(lon_min*1000)/1000 round(lon_max*1000)/1000],'%6.2f'))
disp(num2str([round(lat_min*1000)/1000 round(lat_max*1000)/1000],'%6.2f'))



