close all;
clear all;
addpath('/mnt/reo1000/qiu/results/lagoo_bw/bw_exp1/ncutility');
addpath('/mnt/reo1000/qiu/results/lagoo_bw/bw_exp1/m_map');


flnm=['/mnt/reo1000/qiu/SYM_1km/2001_059.nc'];
nc=netcdf(flnm);
dif_z=nc{'Diffusivite_verticale'}(:);
dep=nc{'level_dpth1'}(:);
lon=nc{'lon'}(:);
lat=nc{'lat'}(:);

iset=180;

dep1=squeeze(dep(:,:,iset));
dif_z1=squeeze(dif_z(:,:,iset));
lat1=squeeze(lat(:,iset));
lat2=dep1.*0;
for i=1:41
    lat2(i,:)=lat1;
end
figure(1)
subplot(3,1,1:2)
contourf(lat2,dep1,dif_z1,'ShowText','on',...
'LevelListMode','manual','LevelList',[-8:1:0])
set(gca,'Ylim',[-300 0])
if iset==280
    set(gca,'XLim',[42.5 44])
end
ylabel('Depth (m)')
xlabel('Latitude')
title('Vertical diffucivity on March 1, 2001')
colorbar
subplot(3,1,3)
contourf(lat2,dep1,dif_z1,'ShowText','on',...
'LevelListMode','manual','LevelList',[-8:1:0])
if iset==280
    set(gca,'XLim',[42.5 44])
end
xlabel('Latitude')
ylabel('Depth (m)')
saveas(gcf,['dif1_march1'],'tiff');

% vel_u=nc{'Courant_3D_Oi_Avg'}(:);
% vel_v=nc{'Courant_3D_Oj_Avg'}(:);
% vel_w=nc{'Omega'}(:);
% vel_dep=nc{'level_dpth2'}(:);
% var=squeeze(vel_w(:,:,iset));
% var_dep=dep1;
% %var_dep=squeeze(vel_dep(:,:,iset));
% var_lat=lat2;
% figure(2)
% subplot(3,1,1:2)
% contour(var_lat,var_dep,var,...
% 'ShowText','on',...
% 'LevelListMode','manual','LevelList',[-0.1:0.001:0.1])
% set(gca,'Ylim',[-300 0])
% if iset==280
%     set(gca,'XLim',[42.5 44])
% end
% ylabel('Depth (m)')
% xlabel('Latitude')
% title('Vertical diffucivity on March 31, 2001')
% colorbar
% subplot(3,1,3)
% contourf(var_lat,var_dep,var,...
% 'ShowText','on',...
% 'LevelListMode','manual','LevelList',[-0.1:0.01:0.1])
% if iset==280
%     set(gca,'XLim',[42.5 44])
% end
% xlabel('Latitude')
% ylabel('Depth (m)')
% 
% 
% 
% 
