%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% script for loading data 0f the SF6 concentration
%%%
%%% INPUT : ASCII file sf6_mapping_vessel_coord_nb*_VStethys.txt
%%%
%%% OUTPUT: vectors of time, position and concentration of SF6
%%%
%%% ALGORITHM: loads the ASCII file
%%%            assigns the values 
%%%            calculate the concentration as percentage of the maximum
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 17/09/2010 : andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [timeSF6,lonSF6,latSF6,concSF6]=load_SF6(dirin,fname)

eval(['load ',dirin,fname]);

eval(['yyyy=',fname(1:end-4),'(:,3);']);
eval(['mm=',fname(1:end-4),'(:,2);']);
eval(['dd=',fname(1:end-4),'(:,1);']);
eval(['HH=',fname(1:end-4),'(:,4);']);
eval(['MM=',fname(1:end-4),'(:,5);']);
timeSF6=datenum(yyyy,mm,dd,HH,MM,0);

eval(['lonSF6=',fname(1:end-4),'(:,6);']);

eval(['latSF6=',fname(1:end-4),'(:,7);']);

eval(['concSF6=',fname(1:end-4),'(:,8);']);
concSF6=concSF6/max(concSF6)*100;

% max(concSF6)
% lonSF6(find(concSF6==max(concSF6)))
% latSF6(find(concSF6==max(concSF6)))
