%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with  
%%% AVHRR SST and ARGOS buoys trajecotrories
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure 
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot 
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 18/09/2010 : andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear; close all

dirin_AVHRR='..\Avhrr\';
%filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009160131.png'];
%filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009160312.png'];
%filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009140152.png'];
filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009150847.png'];
Tmin=13;
Tmax=21;

dirin='..\Bouee_NicolasMartin\';
%interval=[datenum(2010,9,15,13,0,0) datenum(2010,9,16,13,00,0)];
interval=[datenum(2010,9,18,6,30,0) now];
buoylist=[48863 48903 48903 48920 48939 48940 48945]; %%%buoy from la seyne  +buoys taken at 15/09 and redeployed th 18/9 dureing FSLE exp

%- area limits -% (in degres)
lon_min =  3;
lon_max =  4.5;
lat_min = 42.;
lat_max = 43.0;
%
%- Geographip projection for m_map -%
projection = 'mercator';
%
%- User coast in dirin -%
UserCoast='GOL.mat'; % in "sub_functions" directory
%
%%% FIGURE
figure(1);hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);
m_grid

plot_AVHRR(dirin_AVHRR,filename,Tmin,Tmax,4.1,42.9)

for buoy_id=buoylist
    plot_Argos_buoys_id(dirin,buoy_id,'wo-',interval);
end

%%% HIGE RES BATHYMERY
plot_BATHY('../BATHYMETRY_NWMED/',[200])



%
%%% ARGOS BUOYS

% %%%% Buoys lauchend at last round of spiral
% plot_Argos_buoys_id(dirin_ARGOS,83631,'w-',interval);
% plot_Argos_buoys_id(dirin_ARGOS,93265,'w-',interval);
% plot_Argos_buoys_id(dirin_ARGOS,47833,'w-',interval);
% plot_Argos_buoys_id(dirin_ARGOS,47835,'w-',interval);%[datenum(2010,9,15,18,17,0) datenum(2010,9,16,6,00,0)]);
% %
%% Bouee recuperes le 15 Sept
%  plot_Argos_buoys_id(dirin_ARGOS,48863,'k-',[now-2 now-1.5]);
%  plot_Argos_buoys_id(dirin_ARGOS,48903,'k-',[now-2 now-1.5]);
%  plot_Argos_buoys_id(dirin_ARGOS,48920,'k-',[now-2 now-1.5]);
%  plot_Argos_buoys_id(dirin_ARGOS,48939,'k-',[now-2 now-1.5]);
%  plot_Argos_buoys_id(dirin_ARGOS,48940,'k-',[now-2 now-1.5]);



%%% COASTLINE
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
