%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with colored
%%% circles of FSLE manifolds
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure of FSLE manifolds and buoys trajectories
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot the FSLE manifolds
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 18/09/2010 : andrea.doglioli@univmed.fr : cycle on buoys_id added
%%% 17/09/2010 : francesco.nencioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;close all;

% Choose the day
year=2010;
month=9;
day=17;

% Choose map boundaries
lonmin=3;
lonmax=4.5;
latmin=42.2;
latmax=43;
% Add path to LATEX tools
% (to be removed)
%addpath('/media/DATA/LATEX/Tethys_bak/LATEX/LATEX_MATLAB_tools/');

dirin_AVHRR='..\Avhrr\';
%filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009160131.png'];
filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009160312.png'];
%filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009140152.png'];
%filename=[dirin_AVHRR,'-var-ftp-pub-CMS_GOLTS-png_gray-201009150847.png'];
Tmin=13;
Tmax=17;


% Path to FSLE points
%FSLEdirin=sprintf('/media/DATA/LATEX/Tethys_bak/LATEX/FSLE_MODIS_Francesco/MatFiles_%.4d%.2d%.2d/',year,month,day); % To be changed to relative path
FSLEdirin=sprintf('../FSLE_MODIS_Francesco/'); % To be changed to relative path
%FSLEname=sprintf('fsle_%.4d%.2d%.2d.mat',year,month,day);
% Output directory
dirout='.\'; % To be changed to relative path


% Plot the figures
figure(1)
hold on; 
m_proj('mercator','lon',[lonmin lonmax],'lat',[latmin latmax])
m_grid('box','fancy','tickdir','in');

plot_AVHRR(dirin_AVHRR,filename,Tmin,Tmax,4.1,42.9)


%m_plot(fsle_lon,fsle_lat,'.','color',[.7 .7 .7],'markersize',5);
plot_FSLE(FSLEdirin,year,month,day)

dirin='../Bouee_NicolasMartin/';
% interval for the buoys
datenum(year,month,day);
interval=[datenum(2010,9,18,6,30,0) now];
%buoylist=[48863 48903 48903 48920 48939 48940]; %%%buoys taken at 15/09 and redeployed th 18/9 dureing FSLE exp
buoylist=[48863 48903 48903 48920 48939 48940 48945]; %%%buoy from la seyne  +buoys taken at 15/09 and redeployed th 18/9 dureing FSLE exp

for buoy_id=buoylist
    plot_Argos_buoys_id(dirin,buoy_id,'ko-',interval);
end


%%% HIGE RES BATHYMERY
plot_BATHY('../BATHYMETRY_NWMED/',[200])


m_usercoast('GOL.mat','patch',[0.6 0.6 0.6]);
xlabel('Longtitude');
ylabel('Latitude');

title(['Latex2010 buoys and FSLE for the ',datestr(datenum(year,month,day))]);
