%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Script for plotting SF6 mapping data
%%
%% as colored circles in the sampling points
%%
%% 03/09/2010 Andrea (using code provided by Yann Leredde)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%close all ;
clear

figure;hold on
m_proj('mercator','lon',[2.8 4.5],'lat',[41.9 43.3]);

%data of the position of the spiral coming from SampligSpiral.m
load memo_1

m_grid('box','fancy','tickdir','in');
m_usercoast('./GOL.mat','patch',[0.6 0.6 0.6]); 

hold on;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plot the SamplingSpiral
m_plot(lonspir,latspir,'k-');
    
[trash,irmax]=size(lonspir);
for ir=1:irmax
    %AD new format and order
    m_text(lonspir(ir), latspir(ir), num2str(irmax+1-ir),...
           'Color','r','BackgroundColor',[.7 .9 .7],...
           'FontSize',8);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%entering of data 
istop=0; lonSF6=0; latSF6=0; concSF6=0;
while (isempty(lonSF6)~=1 | isempty(latSF6)~=1 |isempty(concSF6)~=1)
    
%%%!!!!!!!(PLEASE Nico, can you develop a GUI for that?) !!!!!!!!!!!!!!!!
%with an automatic saving of the data in a txt file inclutinda date and
%time in the name
    disp(' ');disp('------INSERT DATA format "[1 2 3 ... end]"--------------')
    lonSF6=input(' lonSF6 ?  (TO EXIT press only Enter): ');
    latSF6=input(' latSF6?  (TO EXIT press only Enter): ');    
    concSF6=input(' concSF6? (TO EXIT press only Enter): ');

%plot a circle at (lonSF6,latSF6) with a color depending to concSF6
scale=7;
couleur=colormap;
n=length(concSF6);
mc=0;%min(concSF6);
mac=100;%max(concSF6);
tp11c=1+fix((concSF6-mc)*length(couleur)/(mac-mc));
for i=1:n
    if(concSF6(i)<mc)
        tp11c(i)=1;
    end
    if(concSF6(i)>=mac)
        tp11c(i)=63;
    end
end
for i=1:n    
    m_plot(lonSF6(i),latSF6(i),'o','MarkerEdgeColor',couleur(tp11c(i),:),'MarkerFaceColor',couleur(tp11c(i),:),'markersize',15);  
end 
caxis([0 mac])
colorbar

%%%%%%%%%%%%%%%%%%%%%%%
%plot the SamplingSpiral
m_plot(lonspir,latspir,'k-');
    
[trash,irmax]=size(lonspir);
for ir=1:irmax
    %AD new format and order
    m_text(lonspir(ir), latspir(ir), num2str(irmax+1-ir),...
           'Color','r','BackgroundColor',[.7 .9 .7],...
           'FontSize',8);
end
    
end%while

%saving of the data for interpolation plot
%save memo_2

disp(' ');disp('--- END ---')

      