function depth_vec=plot_ADCP(dirin,year,month,day)
% plot_ADCP_Saved.m

name=sprintf('Latex%.4d_%.2d%.2daphi_new.mat',year,day,month);
% file with transect limits 
tr_file=sprintf('indice_sections_Tethys_%.2d%.2d.txt',day,month);
[lon,lat,temp,u,v,amp,angle,nE,nC,gyro,info_transect]=load_ADCP_Saved(dirin,name,tr_file);
lon=lon';
lat=lat';
% zc=(-244-3:4:-8-3);
zc=(-244-3:4:-8-3);
zc=fliplr(zc);
zc=zc';

ncolor='bgcmrkybgcmrky';
% ncolor=[1 1 0]

disp('Velocities are recorded at -13:-4:329 m depth');
qz=input('Choose bin to be plotted = ? (1:80)');

depth_vec=zc(qz);
disp(' ')
disp(['You have choosen to plot the vectors from ',num2str(depth_vec),' m']);

u=u(qz,:); v=v(qz,:);
clear lon_total_interp lat_total_interp u_total_interp v_total_interp;

% depending on infotransect decide which transect to plot
if max(size(info_transect))>1
	info_transect=load([dirin,tr_file]);
	ntransect=info_transect(:,1);
	n1=info_transect(:,2);
	n2=info_transect(:,3);  
	indiceCTD=info_transect(:,4);
	n1ctd=info_transect(:,5);
	n2ctd=info_transect(:,6);

	disp(' ');
	n_plot=input('Do you want to plot all the trajectory? [y/n]','s');
elseif max(size(info_transect))==1
	disp('No transect info; Plot all the data')
	n_plot='y';
end

if n_plot=='n';
	disp(['Total number of transect recorded is ',num2str(ntransect(end))])
	qn=input('List of transects to plot: (number;)  ','s');
	t1=find(qn==';');
	nbt(1)=str2num(qn(1:(t1(1)-1)));
	for i=2:length(t1);
		nbt(i)=str2num(qn((t1(i-1)+1):(t1(i)-1)));
	end
	if qn(end)~=';'
		nbt(i+1)=str2num(qn((t1(end)+1):end));
	end

end
n_vector=input('You want to plot every xx vector (1 defaut)?  ');
if isempty(n_vector)==1;n_vector=1;end;

coeff=input('\n  vector plot scale coeff (default=0.5)? '); 
if isempty(coeff)==1;coeff=0.5;end;

cunit=input('\n  legend velocity vector (default=0.3)? '); 
if isempty(cunit)==1;cunit=0.3;end;

ucoef=u*coeff; vcoef=v*coeff;

if n_plot=='y';
	lonplot=lon;
	latplot=lat;
	uplot=ucoef;
	vplot=vcoef;
	[month1,month_day1,hour1,minute1,second]=yday_to_caltime(2010,temp(1));
	[month2,month_day2,hour2,minute2,second]=yday_to_caltime(2010,temp(end));

	latdate1=lat(1);
	latdate2=lat(end);
	londate1=lon(1);
	londate2=lon(end);

	m_text(londate1,latdate1,'b','color','k','Fontsize',8,'Fontweight','bold');
	m_text(londate2,latdate2,'e','color','k','Fontsize',8,'Fontweight','bold');

	m_quiver(lonplot(1:n_vector:end),latplot(1:n_vector:end),uplot(1:n_vector:end),vplot(1:n_vector:end),0);%,'color',ncolor(i));
	%            add_my_arrow(3.06,42.25,cunit,coeff,'ms^{-1}','r');
	add_my_arrow(4,43.3,cunit,coeff,'ms^{-1}','r');

	m_text(4,42.5,['Begin:',num2str(month_day1,'%02d'),'/',...
		num2str(month1,'%02d'),' ',num2str(hour1,'%02d'),'h',num2str(minute1,'%02d')],'Fontsize',10,'Fontweight','bold');
	m_text(4,42.4,['End:  ',num2str(month_day2,'%02d'),'/',...
		num2str(month2,'%02d'),' ',num2str(hour2,'%02d'),'h',num2str(minute2,'%02d')],'Fontsize',10,'Fontweight','bold');
elseif n_plot=='n'
	for i=1:length(nbt);
		lonplot=lon(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));
		latplot=lat(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));
		uplot=ucoef(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));
		vplot=vcoef(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));            

		[month1,month_day1,hour1,minute1,second]=yday_to_caltime(2010,temp(n1(find(ntransect==nbt(i)))));
		[month2,month_day2,hour2,minute2,second]=yday_to_caltime(2010,temp(n2(find(ntransect==nbt(i)))));

		latdate1=lat(n1(find(ntransect==nbt(i))));
		latdate2=lat(n2(find(ntransect==nbt(i))));
		londate1=lon(n1(find(ntransect==nbt(i))));
		londate2=lon(n2(find(ntransect==nbt(i))));



		m_text(double(londate1),double(latdate1),'v','color','k','Fontsize',8,'Fontweight','bold');
		m_text(double(londate2),double(latdate2),'x','color','k','Fontsize',8,'Fontweight','bold');
		m_text(double(londate1)+.05,double(latdate1),[num2str(nbt(i))],'color','k','Fontsize',14,'Fontweight','bold','color',ncolor(i));
		m_quiver(lonplot(1:n_vector:end),latplot(1:n_vector:end),uplot(1:n_vector:end),vplot(1:n_vector:end),0,'color',ncolor(i));
		m_text(4.1,42+i*.07+.04,['Begin:',num2str(month_day1,'%02d'),'/',...
			num2str(month1,'%02d'),' ',num2str(hour1,'%02d'),'h',num2str(minute1,'%02d')],'Fontsize',10,'Fontweight','bold','color',ncolor(i));
		m_text(4.1,42+i*.07,['End:  ',num2str(month_day2,'%02d'),'/',...
			num2str(month2,'%02d'),' ',num2str(hour2,'%02d'),'h',num2str(minute2,'%02d')],'Fontsize',10,'Fontweight','bold','color',ncolor(i));
	end
	add_my_arrow(4,43.3,cunit,coeff,'ms^{-1}','r');
end
