
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  %  %  %  plot_LatexResutl_P1.m
%  %  %  %  To plot the cruise result Part I
%  %  %  %  Part I: 	ADCP-Transect 1 2 3
%  %  %  %  Part II: 	Drifters Trajectories
%  %  %  %  Part III:	Eddy center positions	
%  %  %  %  Part IIII:	XBT position
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% [drifter_id,latl,lonl,yearl,monthl,dayl,hourl,minul]=...
%         load_drifterLatex(dirin,fname_latex,y1);

[liste_id,drifter_id,latl,lonl,yearl,monthl,dayl,hourl,minul]=load_Argos(dirin)
    
    tmp_id = drifter_id;
    
    nmax = 100;
    
    val_id = zeros(nmax,1);
    
    for ii = 1:nmax
        
        val_id(ii) = min(tmp_id);
        
        if (val_id(ii) == Inf)
            val_id(ii) = 0;
            break;
        end
        
        tmp_id(find(tmp_id == val_id(ii))) = Inf;
        
    end
    
    nb_buoys = ii - 1;
    
    palette   = ['m','b','r','g','y','c','k'];
    l_palette = length(palette);
    ip        = 0;
    
    marks   = ['o','^','+','s'];
    l_marks = length(marks);
    im      = 1;
    
    for ii = 1: nb_buoys
        
      ip = ip + 1;
      
      if ~mod(ip, l_palette) 
          ip = 1;
          im = im + 1;
          if ~mod(im, l_marks)
              im = 1;
          end
      end
        
      indlatex = find(drifter_id == liste_id(ii));
      
      latlatex   = latl(indlatex);
      lonlatex   = lonl(indlatex);
	  monthlatex = monthl(indlatex);
      daylatex   = dayl(indlatex);
      hourlatex  = hourl(indlatex);
      minulatex  = minul(indlatex);
      
%      index = max(find(monthlatex == m1 & daylatex == d1));
     
     lon_l = lonlatex;
     lat_l = latlatex;
      
      hold on;
 
      for p=2:length(lon_l);
          
		m_line([lon_l(p) lon_l(p-1)],[lat_l(p) lat_l(p-1)],...
                         'color',palette(ip),'LineWidth',1); 
		m_plot(lon_l(p),lat_l(p),...
            [palette(ip) marks(im)],'MarkerSize',4); 
        
      end
      
    end
    
	






