%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% script for plotting data of the SF6 concentration
%%%
%%% INPUT : ASCII file sf6_mapping_vessel_coord_nb*_VStethys.txt
%%%
%%% OUTPUT: add to a m_map figure dots of SF6 concentration
%%%
%%% ALGORITHM: loads the data
%%%            plot concentration circles and correpsonding colorbar
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 03/09/2010 : andrea.doglioli@univmed.fr
%%% Credits    : Yann Leredde
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [timeSF6,lonSF6,latSF6,concSF6]=plot_SF6(dirin,fname)

[timeSF6,lonSF6,latSF6,concSF6]=load_SF6(dirin,fname);

%plot a circle at (lonSF6,latSF6) with a color depending to concSF6
scale=7;
couleur=colormap;
n=length(concSF6);
mc=min(concSF6);
mac=max(concSF6);
tp11c=1+fix((concSF6-mc)*length(couleur)/(mac-mc));
for i=1:n
    if(concSF6(i)<mc)
        tp11c(i)=1;
    end
    if(concSF6(i)>=mac)
        tp11c(i)=63;
    end
end
for i=1:n   
    m_plot(lonSF6(i),latSF6(i),'o','MarkerEdgeColor',couleur(tp11c(i),:),...
        'MarkerFaceColor',couleur(tp11c(i),:),'markersize',5);  
    %m_text(lonSF6(i),latSF6(i),datestr(timeSF6(i),'HH:MM'))
    caxis([0 mac])
    colorbar

    title(datestr(timeSF6(i)))

pause(0.1)
end %i
