%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% script to plot the LATEX spiral of SF6 sampling 
%M_MAP needed
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 28/05/2010 A.M.Doglioli
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%PARAMETERS
ext_xlon=80%km %%%%CHECK conti non tornano con 
%%%%%%% G = GINPUT(2); km_dist = M_XYDIST(G(:,1),G(:,2))

ratio=1 %ration between X and Y dimensions
maxdist=140 %[nm]
rotangle=0 %degree N
%
dataplot='buoy'
%dataplot='adcp'
%dataplot=' '
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%script to plot buoy or adcp data
if dataplot=='buoy'
    plot_LatexResult_P1;
elseif dataplot=='adcp'
    plot_ADCP_center;
else
    %disp('error data plot, choose buoy or adcp');break
    m_proj('mercator','lon',[0 10],'lat',[40 45]);
	m_grid('box','fancy','tickdir','in');
    m_coast    
end

h=figure(1);
%scrsz = [1 1 600 800]
scrsz = get(0,'ScreenSize');
set(h,'Position',[scrsz(3)/8 scrsz(4)/4 scrsz(3)/1.5 scrsz(4)/1.5])%scrsz(4)/20 scrsz(3)/2 scrsz(4)])
title('\bf{\it choose the spiral center by the mouse}')
[xc,yc]=ginput(1);%windows coordinates
%[lonc,latc]=m_xy2ll(xc,yc)
% figure(1);hold on;
% m_text(lonc,latc,'fsdfdsd')
% pause

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
pasX=1 %minimal DX[km]
near=2 %interval around choosen center [km  degree lat or lon]

%very high value to maximize while loop
totdistanceKM2=10^6;

while totdistanceKM2 >= maxdist*1.852;

[totdistanceKM,xx,yy]=funct_sampling(pasX,ext_xlon,maxdist,ratio,near);

totdistanceKM2=totdistanceKM;
pasX=pasX+1; %[km]

end

%rotation
xx=xx.*cos(rotangle*pi/180)-yy.*sin(rotangle*pi/180);
yy=xx.*sin(rotangle*pi/180)+yy.*cos(rotangle*pi/180);

%!!!! TO CHECK !!!!
%convertion to lon lat see help m_lldist
% hearthradius=6378.137;%[km]
% [lonspir,latspir]=m_xy2ll((xc+xx/hearthradius),(yc+yy/hearthradius));
 [lonc,latc]=m_xy2ll(xc,yc)
 [trah,mysize]=size(xx);
 for i=1:mysize
     a12(i)=45+90*rem(i+2,4) %azimuth
 end
 s=sqrt(xx.^2+yy.^2)*1000; %distance [m]
 [lonspir,latspir,a21] = m_fdist(lonc,latc,a12(1:mysize),s,'clrk66')

%plot
clf(1)
figure(1)
set(h,'Position',[scrsz(3)/8 scrsz(4)/4 scrsz(3)/1.5 scrsz(4)/1.5])%scrsz(4)/20 scrsz(3)/2 scrsz(4)])

%script to plot buoy or adcp data
if dataplot=='buoy'
    plot_LatexResult_P1;
elseif dataplot=='adcp'
    plot_ADCP_center;
else
    %disp('error data plot, choose buoy or adcp');break
    m_proj('mercator','lon',[0 10],'lat',[40 45]);
	m_grid('box','fancy','tickdir','in');
    m_coast
end

figure(1);hold on;

m_plot(lonspir,latspir,'ko-');

m_text(4.6,43,['\bf{totdistanceKM=',num2str(totdistanceKM),'[km]}']);
m_text(4.6,42.9,['\bf{ext-xlon=',num2str(ext_xlon),'[km]}']);
m_text(4.6,42.8,['\bf{ratio=',num2str(ratio),'[ ]}']);
m_text(4.6,42.7,['\bf{rotangle=',num2str(rotangle),'[deg]}']);
m_grid

% open the file with write permission
fid = fopen('SamplingSpiraleLatLon.txt','w');
[trash,irmax]=size(lonspir);
for ir=1:irmax
fprintf(fid, '%12.4f %12.4f\r\n', [lonspir(ir) latspir(ir)]);
end
edit SamplingSpiraleLatLon.txt
fclose(fid);
