%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script to create a final .mat file, gathering all the transects
% and interpolating the vectors uv on a chosen vertical profil
% (z=[-13:-4:329])
%%% 
%%%
%%% INPUT : LatexYYYY_DDMMaphi_new.mat files
%%%
%%% OUTPUT: Regroup_ADCP.mat file
%%%
%%% ALGORITHM: Load the treated ADCP transect data 
%%%             Adjust the depth
%%%            Put together the ADCP variables from each transect
%%%            and each day
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 22/09/2010 : marion.kersale@univmed.fr
%%% Huge Credits : Ziyuan
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help regroup_ADCP.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;


dirin='..\ADCP\ADCP_Tethys\work\';
dirout=dirin;

%
%Load all the files with clean ADCP data 
fname1=[dirin,'Latex2010_0709aphi_new_cleaned.mat'];
fname2=[dirin,'Latex2010_0809aphi_new_1_cleaned.mat'];
fname3=[dirin,'Latex2010_0809aphi_new_2_cleaned.mat'];
fname4=[dirin,'Latex2010_1009aphi_new_cleaned.mat'];
fname5=[dirin,'Latex2010_1109aphi_new_cleaned.mat'];
fname6=[dirin,'Latex2010_1209aphi_new_cleaned.mat'];
fname7=[dirin,'Latex2010_1409aphi_new_cleaned.mat'];
fname8=[dirin,'Latex2010_1509aphi_new_cleaned.mat'];
fname9=[dirin,'Latex2010_1709aphi_new_cleaned.mat'];
fname10=[dirin,'Latex2010_1809aphi_new_cleaned.mat'];
fname11=[dirin,'Latex2010_1909aphi_new_cleaned.mat'];
fname12=[dirin,'Latex2010_2009aphi_new_cleaned.mat'];
fname13=[dirin,'Latex2010_2109aphi_new_cleaned.mat'];
fname14=[dirin,'Latex2010_2209aphi_new_cleaned.mat'];

%Structure,???
% for i=1:4
%     fname(i).name=['Latex2010_',num2str(6+i),'09aphi_new_cleaned.mat'];
% end

%
%Number of files loaded
Lf=14;


%%% REMPLACER AVEC QQCHOSE DE SIMILAIRE 
% r=dir([dirin,'\*.tmp']);
% r_name={r.name};
% 
% %%% find most recent file
% Date_File_entier=char(r_name);
% Date_File=Date_File_entier(:,7:21);
% Date_=datenum(Date_File_entier(:,7:21),'yyyymmddTHHMMSS');
% file_bouee=r(find(Date_==max(Date_))).name;


%
%Define the depth vector corrected by the boat offset [3m]

zc=(-8-3:-4:-244-3);%%% PARAMETRES ADCP A METTRE AU DEPART

depth=zc';

%
%Initialisation of the variables
lont=0;
latt=0;
ut=0;
vt=0;
timet=0;

%
%Creation of the file for all the transects
for i=1:Lf;
    %Display the size of ut for check
    eval(['fname=fname',num2str(i)]);
    load([fname]);
    size(ut)
    disp('-------------')
    
    %Function to put together the clean ADCP variables from each transect
     [ut]=joint_var(1,u,ut);
     [vt]=joint_var(1,v,vt);
     [lont]=joint_var(1,lon,lont);
     [latt]=joint_var(1,lat,latt);
     [timet]=joint_var(1,time,timet);
     
    %Display
    size(ut)
    disp('XXX')
    clear u v lon lat time;
end %end for

u=ut; v=vt; lon=lont; lat=latt; time=timet;

%Transform ADCP time (day of the year) in Matlan time (Julian day)
time=datenum(2010,1,1,0,0,0)+time;

%
%Saved the CLEAN ADCP data from all transects
final_analyser='marion';
final_updated_file=fname;
save('regroup_ADCP.mat','u','v','lon','lat','time','final_analyser','final_updated_file','depth')

%
disp(' ');
disp('----- END ---')
