% regoup_ADCP_mat.m
% From the nc files BT or WT, create a final .mat file, gathering all the little transects
% and interpolating the vectors uv on a chosen vertical profil (z=[-13:-4:329])

clear all;
close all;

% addpath('.\sub_functions\');
% addpath(genpath('M:\LATEX\Adcp\Cascade\exploitation\m_map1.4'));
% addpath(genpath('M:\LATEX\Adcp\Matlab_ADCP\My_littel_TOOLS'));


dirin='..\ADCP\ADCP_Tethys\work\sta\';
dirout='.\';

% load the ADCP file
% fname='Latex2010_0709aphi_new.mat';
% fname='Latex2010_0809aphi_new_1.mat';
% fname='Latex2010_0809aphi_new_2.mat'; fname='Latex2010_1009aphi_new.mat';
%fname='Latex2010_1109aphi_new.mat';
%fname='Latex2010_1209aphi_new.mat';
%fname='Latex2010_1409aphi_new.mat';
%fname='Latex2010_1509aphi_new.mat';
%fname='Latex2010_1709aphi_new.mat';
%fname='Latex2010_1809aphi_new.mat';
fname='Latex2010_1909aphi_new.mat';

% indicename='clean_indices_0809_1.txt'




[fname,dirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\Latex2010_*aphi_new*.mat','Select the Mat file');
[lontotal,lattotal,timetotal,utotal,vtotal,amp,angle,nE,nC,gyro]=load_ADCP_Saved(dirin,fname,999);
% transform to the good form so that we can add the new data after
lontotal=lontotal';
lattotal=lattotal';
timetotal=timetotal';
Llon=length(lontotal);


%load the indices file
[indicename,indicedirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\clean_indices_*.txt','Select the transect');
info_transect=load([indicedirin,indicename]);
ntransect=info_transect(:,1);
    n1=info_transect(:,2);
    n2=info_transect(:,3);
    
    Ln=length(n1);
    
    % reset the number of the transects
%     if n1(1)==1;   % take off the first transect
% 	Ln=Ln-1;
%     end
    
    if n2(end)~=Llon;
       Ln=Ln+1;
    end

    
loop=0;
%%%%%%%%%%%%%%%%% initialisation of the variables
u=0;    v=0;
lon=0;     lat=0;   time=0;



for i=1:Ln;
    loop=loop+1;
 

     loop
        %load the data; moving the one during the virage    
    if loop==1;
            
        if n1(1)==1;
        u_interp=0;             
        v_interp=0;
        lon_interp=0;
        lat_interp=0;
        time_interp=0;
        else
        u_interp=utotal(:,1:n1(1));             
        v_interp=vtotal(:,1:n1(1));             
        lon_interp=lontotal(:,1:n1(1));             
        lat_interp=lattotal(:,1:n1(1));             
        time_interp=timetotal(:,1:n1(1));     
        end
    
    elseif loop==length(n2)+1;
        u_interp=utotal(:,n2(end):Llon);
    v_interp=vtotal(:,n2(end):Llon);
    lon_interp=lontotal(:,n2(end):Llon);
    lat_interp=lattotal(:,n2(end):Llon);
    time_interp=timetotal(:,n2(end):Llon);
    
        
    else
    u_interp=utotal(:,n2(i-1):n1(i));
    v_interp=vtotal(:,n2(i-1):n1(i));
    lon_interp=lontotal(:,n2(i-1):n1(i));
    lat_interp=lattotal(:,n2(i-1):n1(i));
    time_interp=timetotal(:,n2(i-1):n1(i));
    end
    
    
    disp(['before joint, size of u =',num2str(size(u))]);
    if loop==Ln;
        disp(['nbeging=',num2str(n2(end)),'  nend=',num2str(Llon)])
    else
    disp(['n1=',num2str(n1(i)),'  n2=',num2str(n2(i))])
    end
    disp('')
     disp(['size of u_interp =',num2str(size(u_interp))]);
% pause
% regroup the variable; add a line [var_total_interp]=joint_var(loop,var_interp,u_total_interp) for any
% variables you want to put into the final mat file.
% % size(u_interp)% to test the size of var_total_interp before the regroup
% % disp('***********')
% % whos
% % pause
%      [var_total_interp]=joint_var(loop,var_interp,u_total_interp);
%         var_total_interp in the output: the present variable
%         var_total_interp in the input: the variable from last loop
%         var_interp in the input: the interpolated variable by function 'interp_ADCP_Cascade_depth'

     [u]=joint_var(loop,u_interp,u);
     [v]=joint_var(loop,v_interp,v);
     [lon]=joint_var(loop,lon_interp,lon);
     [lat]=joint_var(loop,lat_interp,lat);
     [time]=joint_var(loop,time_interp,time);
     
% size(u)% to test the size of var_total_interp before the regroup
disp('----------------') 
    disp(['After joint, size of u =',num2str(size(u))]);
% whos
% pause

     clear u_interp v_interp lon_interp v_interp time_interp amp angle truez iz nE nC gyro; 
   
end



save([dirout,fname(1:end-4),'_cleaned.mat'],'u','v','lon','lat','time');


% 





%

