
function val = f_autonan_v2(dirin,filenc, var)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Cascade Exploitation :
% ------------------------
%      Fonction similaire a autonan
%     remplace les Fillvalues par NaN
%
% En entree : 
% -----------
% - filenc : nom du fichier Netcdf a traiter
% - var : variable a lire
%
% En sortie : 
% -----------
% - val : valeur de la variable avec les FillValue remplacees par des Nan.
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Avril 2009 : P. Le Bot
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   
nc=netcdf.open([dirin,filenc,'NC_NOWRITE']);
varid=netcdf.inqvarID(nc,var);
val=netcdf.getvar(nc,varid);
isbad=find(val==netcdf.getatt(nc,varid,'_FillValue'));
val(isbad)=NaN;
netcdf.close(nc);
    
    
    
