%---------------------------------------------------------
% Hu & Nencioli Sept 2010
%---------------------------------------------------------
%
% - Load ADCP netcdf file;
% - Choose the transect limits;
% - Choose the vectors along the transect used for the COE;
% - Chose the number of points used for the COE;
% - Computes COE using maximum mean tangential velocity;
% - Saves the transect variables;
%
%---------------------------------------------------------
clear all;
close all;
%clear all;close all;
addpath('.\sub_functions\');
addpath(genpath('M:\LATEX\Adcp\Cascade\exploitation\m_map1.4'));
addpath(genpath('M:\LATEX\Adcp\Matlab_ADCP\My_littel_TOOLS'));

dirin='M:\LATEX\Adcp\Cascade\work\ncc\';
dirout='M:\LATEX\Adcp\Matlab_ADCP\Suroit\Analysis\';

filename=(['LATEX2010_',num2str(i,'%03d'),'_osite.nc'])

%---------------------------------------------------------
% User defined variables:
% - Velocity depth
disp('%***************************************************')
z=input('Enter the depth to process (-m): ');
%---------------------------------------------------------
disp(' ')
disp('%***************************************************')
% in_type=input('Enter 1 to load velocities from a netcdf file, 2 to load a transect .mat file : ');
% Load .nc file
% if in_type==1
% 	[fname,dirin]=uigetfile('../ADCP/*.nc','Select the ADCP dataset');
% 	[lon,lat,temp,u,v,amp,angle,nE,nC,gyro]=load_ADCP_Cascade(dirin,fname,999,z);	
    
    [lon,lat,temp,u,v,amp,angle,truez,iz,nE,nC,CAS_CURRENT_FLAG,REFERENCE_DATE_TIME,gyro]=load_ADCP_Cascade(dirin,fname,999,z);
    [val_tps] = get_date_nc(dirin,fname,'JULD');
% 	% Load indice_transect.txt
    disp('Please select the txt file for the transect indices : ');
    [trans_name,trans_dirin]=uigetfile('../ADCP/*.txt','Select the transect');
	info_transect=load([trans_dirin,trans_name]);
    ntransect=info_transect(:,1);
    n1=info_transect(:,2);
    n2=info_transect(:,3);
    indiceCTD=info_transect(:,4);
    n1ctd=info_transect(:,5);
    n2ctd=info_transect(:,6);
    disp(' ');
    n_plot=input('Do you want to plot all the trajectory? [y/n]','s');
    if n_plot=='y';
         nbt=[1:1:length(ntransect)];
    else
        qn=input('List of transects to plot: number;','s');
        t1=find(qn==';');
        nbt(1)=str2num(qn(1:(t1(1)-1)));
        for i=2:length(t1);
            nbt(i)=str2num(qn((t1(i-1)+1):(t1(i)-1)));
        end
        if qn(end)~=';'
            nbt(i+1)=str2num(qn((t1(end)+1):end));
        end
       
    end
     n_vector=input('You want to plot every xx vector ?');
    for i=1:length(nbt);
%         'n1','n2','indiceCTD','n1ctd','n2ctd'
        eval(['n1_',num2str(nbt(i)),'=n1(nbt(i));']);
        eval(['n2_',num2str(nbt(i)),'=n2(nbt(i));']);
        eval(['indiceCTD_',num2str(nbt(i)),'=indiceCTD(nbt(i));']);
        eval(['n1ctd_',num2str(nbt(i)),'=n1ctd(nbt(i));']);
        eval(['n2ctd_',num2str(nbt(i)),'=n2ctd(nbt(i));']);
        eval(['size',num2str(i),'=n1_',num2str(nbt(i)),':n_vector:n2_',num2str(nbt(i)),';']);
    end
    
     cunit=input('\n  cunit (default=0.3)? '); 
    if isempty(cunit)==1;cunit=0.3;end;

    coeff=input('\n  coeff (default=3)? '); 
    if isempty(coeff)==1;coeff=3;end;
    
    uplot=u*coeff; vplot=v*coeff;

    
        
%         'n1','n2','indiceCTD','n1ctd','n2ctd'

       if n_plot=='y';
            for i=1:length(nbt);
    %         m_quiver(lon(n))
           figure(1)
        %     m_proj('mercator','lon',[lon(1)-0.25 lon(end)+0.25],'lat',[lat(end)-0.5 lat(1)+0.5])
    %         m_proj('mercator','lon',[3 4],'lat',[42 44])
            m_proj('mercator','lon',[3 6],'lat',[41 44])
            hold on;                                                                                   
            eval(['m_quiver(lon(size',num2str(i),'),lat(size',num2str(i),'),uplot(size',num2str(i),'),vplot(size',num2str(i),'),0)']);
            hold on;
%            add_my_arrow(3.06,42.25,cunit,coeff,'ms^{-1}','r');
            add_my_arrow(3.1,43,cunit,coeff,'ms^{-1}','r');
           m_grid('box','fancy','tickdir','in');
            m_usercoast('./sub_functions/GOL.mat','patch',[0.6 0.6 0.6]);
            xlabel('Longtitude');
            ylabel('Latitude');
            eval(['time1=val_tps(n1_',num2str(nbt(i)),');']);
            eval(['time2=val_tps(n2_',num2str(nbt(i)),');']);
            eval(['londate1=lon(n1_',num2str(nbt(i)),');']);
            eval(['latdate1=lat(n1_',num2str(nbt(i)),');']);
            eval(['londate2=lon(n2_',num2str(nbt(i)),');']);
            eval(['latdate2=lat(n2_',num2str(nbt(i)),');']);

            m_text(double(londate1),double(latdate1),datestr(time1,'mm/dd HH:MM:SS'),'color','r');
            m_text(double(londate2),double(latdate2),datestr(time2,'mm/dd HH:MM:SS'),'color','r');
            m_plot(double(londate2),double(latdate2),'x','color','r','Markersize',10,'linewidth',3);

            title(['Latex2010 Transect-',num2str(nbt(i)),' at ',num2str(truez),' m depth;']);

%             saveas(1,[dirout,'Latex2010_002-018_Transect',num2str(nbt(i)),'.png']);
            saveas(1,[dirout,fname(1:9),num2str(nbt(i)),'.png']);
            pause
            close(1)
            clear time1 time2 londate1 londate2 latdate1 latdate2;
            end
       elseif n_plot=='n'
            figure(1)
%           [lon(1)-0.25 lon(end)+0.25],'lat',[lat(end)-0.5 lat(1)+0.5])
%         m_proj('mercator','lon',[3 4],'lat',[42 44])
%         m_proj('mercator','lon',[3 4.2],'lat',[42 43.2])
        m_proj('mercator','lon',[3 4.2],'lat',[41.75 43])
        hold on;      
          for i=1:length(nbt);
    %     m_proj('mercator','lon',
         eval(['m_quiver(lon(size',num2str(i),'),lat(size',num2str(i),'),uplot(size',num2str(i),'),vplot(size',num2str(i),'),0)']);
            hold on;
            eval(['time1=val_tps(n1_',num2str(nbt(i)),');']);
            eval(['time2=val_tps(n2_',num2str(nbt(i)),');']);
            eval(['londate1=lon(n1_',num2str(nbt(i)),');']);
            eval(['latdate1=lat(n1_',num2str(nbt(i)),');']);
            eval(['londate2=lon(n2_',num2str(nbt(i)),');']);
            eval(['latdate2=lat(n2_',num2str(nbt(i)),');']);
%             m_text(double(londate1),double(latdate1),num2str(nbt(i)),'Fontsize',10,'Fontweight','bold');
            m_text(double(londate2),double(latdate2),['x ',num2str(nbt(i))],'Fontsize',15,'Fontweight','bold');
%             m_text(double(londate2),double(latdate2),'x','Fontsize',15,'Fontweight','bold')
            m_text(3.35,42.-i*0.05,['Transect',num2str(nbt(i)),':'],'Fontsize',10,'Fontweight','bold');
%             m_text(3.55,42.4-i*0.05,datestr(time1,'mm/dd HH:MM:SS'),'Fontsize',10,'Fontweight','bold');
            m_text(3.55,42.-i*0.05,datestr(time1,'mm/dd HH:MM:SS'),'Fontsize',10,'Fontweight','bold');
            m_text(3.89,42.-i*0.05,datestr(time2,'mm/dd HH:MM:SS'),'Fontsize',10,'Fontweight','bold');
            clear time1 time2 londate1 londate2 latdate1 latdate2;
%             m_text(double(londate1),double(latdate1),datestr(time1,0),'color','r');
%             m_text(double(londate2),double(latdate2),datestr(time2,0),'color','r');
          end
                  add_my_arrow(3.25,42.5,cunit,coeff,'ms^{-1}','r');
               m_grid('box','fancy','tickdir','in');
            m_usercoast('./sub_functions/GOL.mat','patch',[0.6 0.6 0.6]);

            xlabel('Longtitude');
            ylabel('Latitude');
            title(['Latex2010 at ',num2str(truez),' m depth;'],'Fontsize',15,'Fontweight','bold');
            saveas(1,[dirout,'Latex2010_002-024_21_23_Transects.png']);
%             pause
%             close
            
        end
%-------------------------------------------------------
